Debian Bug report logs - #714850
ITP: ruby-cri -- tool to build easy-to-use commandline interfaces with support for subcommands

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Wed, 3 Jul 2013 12:36:01 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-cri/2.3.0-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cedric.boutillier@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#714850; Package wnpp. (Wed, 03 Jul 2013 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to cedric.boutillier@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Wed, 03 Jul 2013 12:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-cri -- tool to build easy-to-use commandline interfaces with support for subcommands
Date: Wed, 3 Jul 2013 14:34:11 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : ruby-cri
  Version         : 2.3.0
  Upstream Author : Denis Defreyne <denis.defreyne@stoneship.org>
* URL             : https://github.com/ddfreyne/cri
* License         : Expat
  Programming Lang: Ruby
  Description     : tool to build easy-to-use commandline interfaces with support for subcommands

Cri is a Ruby library for building easy-to-use commandline tools with support
for nested commands. The central concept in Cri is the command, which has option definitions as well as code for actually executing itself.

It is the building block for the interface of nanoc.

It will be maintained under the umbrella of the Ruby Extras team.

Cheers

Cédric
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 13 Jul 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 13:12:29 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 13:12:30 GMT) Full text and rfc822 format available.

Message #12 received at 714850-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 714850-close@bugs.debian.org
Subject: Bug#714850: fixed in ruby-cri 2.3.0-1
Date: Sun, 01 Sep 2013 13:00:08 +0000
Source: ruby-cri
Source-Version: 2.3.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-cri, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-cri package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Jul 2013 00:05:06 +0200
Source: ruby-cri
Binary: ruby-cri ruby-cri-doc
Architecture: source all
Version: 2.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-cri   - library for building easy-to-use commandline tools
 ruby-cri-doc - library for building easy-to-use commandline tools - documentatio
Closes: 714850
Changes: 
 ruby-cri (2.3.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #714850)
Checksums-Sha1: 
 5c99fc36ba1b3781cd42f332f6dbc0157f58f956 2111 ruby-cri_2.3.0-1.dsc
 b8c2eed5ff760a0e8a5874ad27a8f0350d5355e8 16373 ruby-cri_2.3.0.orig.tar.gz
 d3caf60a9326b9d30abf15bd68843389a38b15de 2559 ruby-cri_2.3.0-1.debian.tar.gz
 1d08afccb5f1b6fb3dd33b834f9b88f949b5190e 13230 ruby-cri_2.3.0-1_all.deb
 80635f5f157f66b01464b55eef75703f77d54781 36594 ruby-cri-doc_2.3.0-1_all.deb
Checksums-Sha256: 
 0065f5ed594bfb58c5bc1227acaec57a964ad08f05ba882e6c520d4621fea008 2111 ruby-cri_2.3.0-1.dsc
 808f8029baa30c7db996004bcceb1635d58d81d5ed87f4e8d1a996b5b994aeab 16373 ruby-cri_2.3.0.orig.tar.gz
 2f9511aa0e0007eac4fd66a8c37ff0e93eb36c670128617da6f5c5f3ceefce03 2559 ruby-cri_2.3.0-1.debian.tar.gz
 425d92a6c38795584b27ee7039bebda2e4b6a5245727552fa5a30e926fe12871 13230 ruby-cri_2.3.0-1_all.deb
 5a758ebf6f193ca13fbb5ff06bdc9346c2ea2ec393a3af5d33a91b497aa04ee6 36594 ruby-cri-doc_2.3.0-1_all.deb
Files: 
 e1fd0f4b9fef403543f48c15b1395c75 2111 ruby optional ruby-cri_2.3.0-1.dsc
 9c1f810e58f712b53c699f4d86d4128b 16373 ruby optional ruby-cri_2.3.0.orig.tar.gz
 784d1b9fc59bf065db761cc03a55b2b0 2559 ruby optional ruby-cri_2.3.0-1.debian.tar.gz
 fca62f54a6f64f73fec3faaabba70053 13230 ruby optional ruby-cri_2.3.0-1_all.deb
 a36e623f655ff306d119fcf717bc1137 36594 doc optional ruby-cri-doc_2.3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSEfDyAAoJEKkHZFuPn48JiKgQAI3Eom2aDyKOnJ7hc/YvbPlw
YM/MmsKeMwp5OYvCV/0nw6wWpqa1VAZuunYRaDWYWFJzelXo5ZLyy6IbpBYMVGXr
1cRwxuJihvQ83DrDnr6AAQhRsgEV314EHWJlEnQQM5fxqllmx15jld1z+PEKKCaR
01iemGlbRDe3y78LqCZYh5kczcdcFk5fZ+c3vTh7rpx4aiWSwyrLG1Nx5VK6d4Cu
xuhg/gaVtyG8LyHBJaLs19o851D0XYDyfdlBaleluvWkQrF0YZn0jqsKynvtl23A
2+lWSMqtPvUA5zKy2Cfxdp/29hxuKHU/RLVkglreRmDQpnvXi1zz2Qz6AaBRwL1H
uswkhPHy/8X+8ZGlYZfc7W17Iq6652vMC2203Hde3Wsdpd68CNa4uxBUsYXz+HLV
HPRkHYfkQ+6WOEx01kMpzScYWRealGp7WQ7V4Fng30QMg3enRRJl33MW1objZ26S
fDhIWX8ELGFb94a8kGarUJwJ6BvRgALNIX0Jb+LbXm09vA1yEhBDIddLWmPxvQeG
18o6DoqBzpOsrJszXQW8vj9jkLI0tGoK8JAbjJ6CuysxNSTSmev1HZco/q4gZoK1
LEPI2DZg3fK4IewrPJwnODsUZx85w1CofgVT83aj8Y5j6DNmPFOmVuRdHYafErbA
xyxLxli/Uy7h++3wcRwO
=Fb0g
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:03:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.